The tag has no wiki summary.

learn more… | top users | synonyms

4
votes
5answers
10k views

Why do I get error, Invalid command 'PythonHandler'?

I'm trying to deploy a Django application, but I've hit a brick wall. On Debian (latest), I've run these commands so far: apt-get install apache2 apache2-doc apache2-mpm-prefork apache2-utils ...
4
votes
5answers
2k views

Trac with mod_python slow?

I have some Trac installations running on my Ubuntu/Apache web server and I've noticed that when I monitor the CPU usage while accessing Trac pages that it is not uncommon for the CPU to spike up to a ...
4
votes
1answer
1k views

how to configure ISPConfig for mod_python or mod_wsgi?

how to configure ISPConfig for mod_python or mod_wsgi for django like apps deployement?
2
votes
2answers
6k views

How to make apache to run python scripts using MOD_WSGI or MOD_PYTHON in RHEL6?

I am trying to make the apache to run python scripts. I have MOD_WSGI , Apache , Python installed on RHEL6. I even edited httpd.conf file to include these lines. <Directory /var/www/> ...
2
votes
3answers
1k views

ip_conntrack_count has way too many connections

The conntrack table on my server has over 1.2 million connections, I keep bumping up the limit but the table just continues to grow (but not monotonically -- it does go down sometimes). $ cat ...
1
vote
2answers
397 views

Python on CentOS 5.x

CentOS 5.x comes with python 2.4 preinstalled. I'd like to use a newer version, but I don't want to break anything. How should I install a newer version without causing problems? How can I force ...
1
vote
4answers
488 views

mod _python and Python 2.6

Is there anyway of getting mod python to run on the latest version of python, or do i have to downgrade my python installation to 2.5.5?
1
vote
1answer
3k views

Python version mismatch, expected '2.6.5+', found '2.6.6'

I have this error that comes up every time I do an apache2 restart and am just wondering if anyone can shed some light on the issue. Is it something I even need to worry about at all? I have had it ...
1
vote
2answers
163 views

python version change

I am working on centOS 5 Server with python's version 2.4.3 Now i installed python 2.5 (got command from SF) from link as wget http://www.python.org/ftp/python/2.5.2/Python-2.5.2.tgz tar fxz ...
1
vote
1answer
766 views

How do I install newer python on CentOS with minimal effort?

I would like to install Python 2.6 and mod_python on CentOS 5 (x64). The system is delivered with old python 2.4 and I want the new one with minimal maintenance effort (compiling and having a ...
1
vote
1answer
551 views

apache configuration for cohosting mod_python and php based apps

I have django+python+apache2+mod_python installed hosted and working on ubuntu server/ linode VPS. php5 is installed and configured. We don't have a domain name as in example.com. Just IP address. So ...
1
vote
0answers
134 views

Apache conf changes when migrating django project from mod_python to mod_wsgi

Not sure if this is the right place to ask this question, but I'm migrating a django project from mod_python to mod_wsgi and I want to make sure I have my apache configuration correct. The old ...
1
vote
1answer
153 views

What's happening when Apache's httpd %mem climbs 20+ and the CPU's %wa is running high?

I'm encountering unfamiliar Apache symptoms and I'm curious if anyone here knows how to diagnose them. I've got a pair of app servers running mod_python and Apache, recently upgraded to Django 1.2.3. ...
0
votes
4answers
3k views

mod_python with Apache Failures

I'm having an issue with mod_python and Apache, and I'm pretty certain I know what the problem is, but I'd like a bit of reassurance. I currently have a situation where I'm working with a very small ...
0
votes
2answers
234 views

How to Compile Mod_Python 3.3.1 for Python 2.6 and Apache 2.2 on Windows?

I have no experience compiling code other than using Visual Studio's Build command. I am hoping we can create a step by step guide for compiling mod_python on windows. Please be as descriptive as ...
0
votes
2answers
4k views

python new install showing error while loading shared libraries

i installed python2.6 before in /ust/local/bin but now i removed it and installed a new python2.6.4 in /opt/python2.6 i installed from the article but on mid way only where they say to check ...
0
votes
2answers
272 views

How to run python script which required root privilage for execution in apache with mod_python at openbsd

I am trying to run python script in Apache 2.x with mod_python. I edited httpd.conf with publisher LoadModule python_module /usr/local/apache2/modules/mod_python.so <Directory ...
0
votes
1answer
244 views

Python with mamp

I have a MAMP 1.9 install on Lion and would like to start using python with it. Mainly to learn and develop django sites. I am very new to python in general. In my research I found that I either need ...
0
votes
1answer
865 views

'gcc' failed with exit status 1 - MySQL-python-1.2.3

I am installing MySQL db for python2.6. I installed it from here but when I am on the line I extracted the file and when I did python2.6 setup.py build it gives a lot of errors and warring and ...
0
votes
1answer
233 views

Apache + mod_python - can't configure server

I have got Ubuntu 10.04 (XEN) VPS. I want to set up Django server. I use apt-get to install django packages, apache, apache-mpm-prefork. Before using this configuration I saw "It works!" title, when I ...
0
votes
1answer
238 views

mod_wsgi/3.2 mixing interpreters context with django on Apache2 using mod_rewrite .. why?

Long story tl;dr: With the configuration below Apache gets confused with Python interpreter context. I have three demo sites deployed using this setup and if you refresh them often a race condition ...
0
votes
1answer
1k views

Errors related to python version added to error log when I start apache2

When I start apache I am getting those errors: [Tue Jun 14 02:28:58 2011] [error] python_init: Python version mismatch, expected '2.6.5', found '2.6.6'. [Tue Jun 14 02:28:58 2011] [error] ...
0
votes
2answers
491 views

segfault with mod_wsgi / mod_python after Python upgrade on Gentoo

I'm having a problem after upgrading from Python 2.5 to 2.6 I'm using Gentoo and running a Django app with Apache 2 and mod_python. After the upgrade I started getting a segfault when I try to access ...
0
votes
1answer
769 views

Django setting environment variable globally

I'm having a problem setting up Django on our CentOS server using mod_python. Site 'A' is running PHP (Codeigniter) and site 'B' is running Django. Our Django site is running perfectly. However, ...
0
votes
3answers
357 views

multiple django mod_python performance issue

I have two server with two version of django 0.9.6 and 1.0.2. both are used, for some older sites(where migration is still pending) and now ppl have started using 1.0.2. I have apache 2.2.9 and ...
0
votes
1answer
191 views

Apache graceful restart, reduces the max process count

I have configured apache with "Worker" MPM module. See the worker module settings: <IfModule mpm_worker_module> StartServers 4 ServerLimit 20 MaxClients ...
0
votes
1answer
128 views

apache file permissions using mod_python

I'm running apache with mod_python, and I'm having trouble reading files from a specific directory. Previously the directory had 0777 permissions but I've decided to change it to 0770 (not quite happy ...
0
votes
1answer
1k views

mod_wsgi.so: Cannot load mod_wsgi.so into server: libpython2.5.so.1.0: cannot open shared object file: No such file or directory

I get the following error: when i try to restart the server: [root@lts5srv1 mod_wsgi-2.3]# service httpd restart Stopping httpd: [FAILED] Starting httpd: ...
0
votes
1answer
141 views

Multiple virtual hosts support for apache with scgi quixote backend for some host

I'm trying to add a domain with quixote as its backend. I searched google and found that there are servaral choices to glue quixote and apache together. I chose scgi because it seems like the choice ...
0
votes
1answer
62 views

How to set up Apache server via an FTP account

I have developed a web application in Django and would like to go online i have an FTP access to the hosting server I am a beginner to "setting up a website" i would like to know how to install apache ...
0
votes
2answers
323 views

Have problems installing mod_python

I seem to have some problems installing mod_python with apache. ./configure --prefix=/usr/local/apache2 make make install /usr/local/apache2/bin/apachectl start On the final line, I seem to get ...
0
votes
1answer
2k views

Run Mod_Python with Mod_WSGI on Apache for Django — Segmentation fault (11)

Okay, so I have to use an existing server to run my Django web app on. The server is running Mac OS 10.6 Server. It comes with Python 2.3, 2.5, and 2.6 pre-installed. I have edited my http.conf file ...
0
votes
1answer
2k views

apache2 slow responding (debian)

I'm running an apache2 2.2.9 webserver with modpython and mpm_worker_module. The current config for the mpm is ServerLimit 32 StartServers 10 MaxClients 800 MinSpareThreads 25 ...